Package: groovy.org.codenarc.rule

## [Groovy] Class FieldReferenceAstVisitor

- groovy.org.codenarc.rule.FieldReferenceAstVisitor

- AST Visitor that searches for references to the fields specified on the constructor

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FieldReferenceAstVisitor (Collection<org.codehaus.groovy.ast.FieldNode> fields)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Collection<org.codehaus.groovy.ast.FieldNode>` | `getUnreferencedFields()`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`
    `` | `void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode node)`
    `` | `void` | `visitProperty(org.codehaus.groovy.ast.PropertyNode node)`
    `` | `void` | `visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)`
    `` | `void` | `visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)`

- - ### Constructor Detail

    - #### FieldReferenceAstVisitor(Collection<org.codehaus.groovy.ast.FieldNode> fields)

  - ### Method Detail

    - #### Collection<org.codehaus.groovy.ast.FieldNode> getUnreferencedFields()

    - #### void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)

    - #### void visitMethodEx(org.codehaus.groovy.ast.MethodNode node)

    - #### void visitProperty(org.codehaus.groovy.ast.PropertyNode node)

    - #### void visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)

    - #### void visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)